> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1businesses expenses



## OpenAPI

````yaml /api-reference/openapi.json put /v1/businesses/{businessId}/expenses
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/expenses:
    put:
      tags:
        - BusinessTransactions
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/TransactionsTransactionBatchUpdateRequest'
          text/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/TransactionsTransactionBatchUpdateRequest'
          application/*+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/TransactionsTransactionBatchUpdateRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    TransactionsTransactionBatchUpdateRequest:
      required:
        - id
      type: object
      properties:
        id:
          type: integer
          format: int64
        currency:
          type: string
          nullable: true
        totalAmount:
          type: number
          format: double
          nullable: true
        subTotalAmount:
          type: number
          format: double
          nullable: true
        taxAmount:
          type: number
          format: double
          nullable: true
        discountAmount:
          type: number
          format: double
          nullable: true
        tipAmount:
          type: number
          format: double
          nullable: true
        description:
          type: string
          nullable: true
        category:
          type: string
          nullable: true
        note:
          type: string
          nullable: true
        tags:
          type: string
          nullable: true
        additionalCharges:
          type: number
          format: double
          nullable: true
        reference:
          type: string
          nullable: true
        date:
          type: string
          format: date-time
          nullable: true
        status:
          $ref: '#/components/schemas/ModelsTransactionsSBTransactionStatus'
        categoryId:
          type: integer
          format: int64
          nullable: true
        expenseReportId:
          type: integer
          format: int64
          nullable: true
        payerType:
          $ref: '#/components/schemas/ModelsTransactionsPayerType'
      additionalProperties: false
    ModelsTransactionsSBTransactionStatus:
      enum:
        - DRAFT
        - PENDING
        - PARTIALLY_PAID
        - PAID
        - OVERDUE
        - CANCELLED
        - REFUNDED
        - PARTIALLY_REFUNDED
        - VOIDED
        - PENDING_APPROVAL
        - POLICY_BLOCKED
        - POLICY_FLAGGED
      type: string
    ModelsTransactionsPayerType:
      enum:
        - EMPLOYEE
        - COMPANY
      type: string

````